GDatabox::Bars Class Reference

`#include <gtkdataboxmm/bars.h>`

Inheritance diagram for GDatabox::Bars:
[legend]

## Public Member Functions

virtual | ~Bars ()
GtkDataboxBars* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxBars* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxBars* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from GDatabox::XYCGraph
virtual | ~XYCGraph ()
GtkDataboxXYCGraph* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxXYCGraph* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxXYCGraph* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
unsigned int | get_length () const
| Gets the the length of the X and Y values arrays. More...
float* | get_X () const
| Gets the X values of the xzc_graph. More...
float* | get_Y () const
| Gets the Y values of the xzc_graph. More...
Glib::PropertyProxy_ReadOnly< unsigned int > | property_length () const
| number of data points. More...
Glib::PropertyProxy_ReadOnly< float*> | property_X_Values () const
| X values of data. More...
Glib::PropertyProxy_ReadOnly< float*> | property_Y_Values () const
| Y values of data. More...
Public Member Functions inherited from GDatabox::Graph
virtual | ~Graph ()
GtkDataboxGraph* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxGraph* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxGraph* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_hide (bool hide)
| Hidden graphs are not shown, when the Gtk::Databox containing them is redrawn. More...
bool | get_hide ()
| Gets the current "hide" status. More...
void | set_color (const Gdk::Color& color) const
| Sets the color which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
void | set_size (int size)
| Sets the size (e.g. line width) which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
int | get_size () const
| Gets the size of the graph elements (e.g. the line width). More...
int | calculate_extrema (float& min_x, float& max_x, float& min_y, float& max_y)
| Virtual function which determines the minimum and maximum x and y values of the values of this Gtk::DataboxGraph object if applicable (there are graphs which do not contain data). More...
Glib::PropertyProxy< Gdk::Color > | property_color ()
| Color of graph. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color () const
| Color of graph. More...
Glib::PropertyProxy< int > | property_size ()
| Size of displayed items. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Size of displayed items. More...
Glib::PropertyProxy< bool > | property_hide ()
| Determine if graph is hidden or not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hide () const
| Determine if graph is hidden or not. More...

## Static Public Member Functions

static Glib::RefPtr< Bars > | create (unsigned int length, float* X, float* Y, const Gdk::Color& color, unsigned int size=1)

## Protected Member Functions

| Bars (unsigned int length, float* X, float* Y, const Gdk::Color& color, unsigned int size=1)
Protected Member Functions inherited from GDatabox::XYCGraph
| XYCGraph ()
Protected Member Functions inherited from GDatabox::Graph
| Graph ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< GDatabox::Bars > | wrap (GtkDataboxBars* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from GDatabox::XYCGraph
Glib::RefPtr< GDatabox::XYCGraph > | wrap (GtkDataboxXYCGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from GDatabox::Graph
Glib::RefPtr< GDatabox::Graph > | wrap (GtkDataboxGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

## ~Bars()

virtual GDatabox::Bars::~Bars | ( |  | ) |

virtual

## Bars()

GDatabox::Bars::Bars | ( | unsigned int | length,
|  | float * | X,
|  | float * | Y,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

protected

## Member Function Documentation

## create()

static Glib::RefPtr<Bars> GDatabox::Bars::create | ( | unsigned int | length,
|  | float * | X,
|  | float * | Y,
|  | const Gdk::Color & | color,
|  | unsigned int | size = `1`
| ) |  |

static

## gobj() [1/2]

GtkDataboxBars* GDatabox::Bars::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const GtkDataboxBars* GDatabox::Bars::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

GtkDataboxBars* GDatabox::Bars::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

## wrap()

Glib::RefPtr< GDatabox::Bars > wrap | ( | GtkDataboxBars * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/bars.h